Subject: Re: bug#26175: guix download fails if filename contains "@"

From: Hartmut Goebel <[email-masked]>
Date: Mon, 20 Mar 2017 23:30:35 +0100

Am 20.03.2017 um 23:22 schrieb Ludovic Courtès:
> To address this we’d need an extra command-line option in ‘guix
> download’ to specify the name to use in the store (similar to the
> ‘file-name’ field in <origin>.)
>
> So one would type:
>
>   guix download --name=foo.tar.xz mirror://…/[email-masked]

IMHO this i not a good solution, since it puts the burden of handling a
non-obvious restriction to the user. This makes things complicated and
less-skilled discourages people. "guix download" should implement some
escape automatic mechanisms.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |